

                  Parameter Estimation Program
                       Spectrum Software
                 copyright (c) 1986, 1987, 1988
                    Revision date: August 1988

INTRODUCTION:
-------------
     Parameter Estimation Program (PEP) is an utility for
MICRO-CAP III.  This version of PEP is not compatible with prior
versions.  Refer to the Reference manual for details in
transferring your old models to MICRO-CAP III Library format. 
New users do not need to worry about this. The devices that are
support by PEP are Bipolar transistors, Diodes, MOS transistors,
Operational Amplifier and Junction Field Effect transistors.  In
addition, PEP has a built-in capability of plotting the I-V
characteristics curves on the screen.

OVERVIEW:
---------
     The purpose of this add-on utility is to allow the user to
estimate the parameters required by MICRO-CAP III from data
sheets.  This utility only gives an estimate of parameters.
This file contains a brief description of the PEP parameters and
any information that cannot be found in the Reference manual.

     The required files to run PEP are:

          PEP.EXE
          PEP.DAT
          RESOURCE.PEP  -----> System
          HELP.PEP      -----> System
          VALUES.PEP    -----> System
          README.PEP    -----> System
          ********.PEP  -----> Data
          ********.SUP  -----> Data

The asterisks denote user-defined filename.  The PEP library
is divided into two parts.  You can have as many librarys as
you like.  Each of the library is distinguished from each other
by the user-defined filename.  Refer to the Reference manual
for further details in installing and running PEP.

This utility provides only an estimation of the parameters
used in conjunction with MICRO-CAP III and SPECTRUM SOFTWARE is
not liable for any direct, indirect, incidental, or consequential
damages resulting from the software.






PEP Commands:
-------------
Shift-F1  - Toggles the speaker.  When the speaker is on
            the program will BEEP when an error occurs.

The command can be issued anywhere in the program.

F1        - Displays the Help menu in a window.  Other commands
            like "Copy", "Memo", "Alias" etc. can be issued      
            directly from this Help Window.

F2        - If you are uncertained which PEP parameters are
            related to the MC3 parameter, pressing F2 will
            prompt you for a MC3 parameter number.  Upon entering
            the MC3 parameter under model, a small window be will
            displayed on the right showing all the related       
            parameters in PEP library.

F3        - Pressing F3 switches you to the MC3 model page.  The 
            word "Active" will be displayed at the top of the    
            left window. You can use the UP and DOWN cursor keys 
            to scan through MC3 parameters.  Pressing "E"        
            when this window is active will further display the  
            relating PEP parameters to the highligthed MC3       
            parameter.

F4        - Pressing F4 switches you to the PEP model page.  This
            page must be active when you issue any commands      
            displayed in the Help Window.

F5        - The F5 function key allows the user to create a SPICE
            compatible library file, append to an existing SPICE
            library, or to create a SPICE model card.

The following commands must be issued when the PEP model page is
active.  The commands are activated by pressing the upper case
character.  For example, "E" for Edit.

Edit      - Pressing "E" allows editing of PEP parameters        
            directly from the PEP model page.

Next      - Pressing "N", or the "RETURN" key will bring up the  
            next model in the PEP library file.

Last      - Pressing "L", key will bring up the previous model in
            the PEP library file.

Jump      - Pressing "J",  allows the user to jump to a specific
            model in the library. A search is performed using
            a partial or the full alias.  You can also specify a
            PEP type number as the search criteria.  Specifying a
            partial alias will jump to the first corresponding   
            model that matches the partial string.

View      - Pressing "V", brings up a screen with all the models 
            that are created in the library.  Only the aliases   
            are displayed.  If an alias has been specified for 
            the model and a MC3 library type number has been 
            assigned, this MC3 type number will also be displayed
            on the screen.  However, if no alias has been        
            assigned but a MC3 type number was assigned, "V" will
            not display this MC3 type number.  To select a model,
            use the CURSOR keys to move the highlighted block.
            Press the ENTER key to display the model parameters
            of the selected device.  The ESC key is used to quit
            this screen.

Copy      - Pressing "C", will copy the contents of an assigned
            MC3 type number in PEP to the MICRO-CAP III library.
            Before you use this command, you have to assign a 
            MC3 library type number with the command "T".  "C"
            will scan through the whole PEP library file and
            copy all the models that have an assigned MC3 library
            type number.  The program will prompt you for the
            MICRO-CAP III library filename.  The last used       
            library is displayed.  Press ENTER to accept or
            type in an existing MC3 library in the DATA 
            subdirectory.

Alias     - Pressing "A", enables the user to enter an alias for
            the device.  Usually this will correspond to the     
            part number.  The maximum number of characters       
            is limited to 8.  This alias is similar to those of  
            MICRO-CAP III.  This field will be copied into the
            MC3 library. 

Memo      - Pressing "M", enables the user to enter a memo for   
            the device.  Memo field is limited to a maximum of 35
            characters. This field is only used in PEP.

Help      - Pressing "H", display a short description of the
            PEP commands.  Most of the commands can be activated
            directly from this Help window.

Plot      - Pressing "P", activates the plotting routine.  This
            routine display the I-V characteristics of the       
            device.  This command is not available for opamps.

Sort      - Pressing "S", allows the user to sort the PEP library
            file by memo field or alias field.  Sorting can      
            perform in an ascending or decending order.

Find      - Pressing "F", allows the user to find a range of
            devices that are within the search criteria.  The    
            user first specify the MC3 parameter number to search
            and then a minimum and maximum value of the
            parameter.  For example, if you would like to see
            which models have a minimum BF of 80 and a maximum
            BF of 100.  From the Bipolar model page, press "F".
            Next, type 1 when prompted for MC3 parameter.  Then,
            type the minimum and maximum values for the search
            criteria.

Type      - Pressing "T", assigns a MICRO-CAP III type number for
            the model.  This command is used in conjunction with 
            the Copy command.  The valid number is from 1 to 49. 
            If a number already exists, the program will warn you
            with a beep.  Note that when the Copy command        
            is issued, the MICRO-CAP III library file is over    
            written with these devices from PEP.

Unassign  - Pressing "U", unassigns all the MICRO-CAP III type
            numbers in PEP.  This command is use to clear all    
            previous assigned MICRO-CAP III type numbers.

ESC       - Pressing "ESC", will bring you back to the main menu.

In addition to the above commands, there are two functions keys
that can be used in the BJT model page.  The two keys are F7
and F8.  F7 is used for estimating the grading coefficient for
B-E, B-C and C-S junctions.  Four data points are required for
each junction.  F8 is used for estimating the built-in potential
for B-E, B-C and C-S junctions.  Again, four data points are
needed for each junction.  This would increase the overall BJT
library by 24 locations.  To make things simple, the F7 and F8
keys are used for the above calculations.  However, note that
the values you enter in the small window are not saved as part
of the PEP library.  The computed value is saved directly
written into the PEP library array.

For example, if you want to compute MJC, press F7.  The program
will prompt you for the PEP parameter no.  This number is 
obtained from the PEP model page.  Next, the program will pop-up
a small window on the right of the screen.  Follow the 
instructions on the screen.  After you have entered the all the
required data, the program will update MJC in both the PEP and
MC3 model pages.  The same procedure is applicable when you
select F8.

Refer to the reference manual for further information on how the
parameters are computed.












*** Correction in the Reference Manual ***
-   In Chapter 4, to estimate RS, the following equation should
replace the equation in the manual.

       SQRT(Ids2/Ids1) * (Vgs1-VT) - (Vgs2-VT)
RS = ---------------------------------------
                     SQRT(Ids1*Ids2) - Ids2

Vgs2 must be much greater than Vgs1 in order to obtain an
accurate estimation of the MOS source resistance.

-   In estimating Lambda, Vds2 must be much greater than Vds1.




